{% extends 'base.html' %}
{% load i18n %}
{% load static %}
{% block navbar %}
{% endblock %}
{% block content %}
<section class="hero is-fullheight-with-navbar">
  <div class="hero-body">
    <div class="container" style="max-width: 400px;">
    <form action='' method='post'>
      <div class="card">
          <div class="card-content">
            <div class="media">
              <div class="media-left">
                <figure class="image is-48x48">
                  <img src="{% static '/logo/logo.png' %}">
                </figure>
              </div>
              <div class="media-content">
                <p class="title is-4"> Chocoauth Login</p>
              </div>
            </div>
            <div class="content">
              {% csrf_token %}
              {% if form.non_field_errors %}
                <ul class="uk-list">
                  {% for error in form.non_field_errors %}
                    <li class="uk-text-danger"><strong>{{ error|escape }}</strong></li>
                  {% endfor %}
                </ul>
              {% endif %}
              <div class="field">
                <label class="label">{% translate "Username" %}</label>
                <div class="control">
                  <input class="input"
                         id="{{ form.username.id_for_label }}" 
                         name="{{ form.username.html_name }}"
                         type="text" placeholder="{% translate "Username" %}">
                  {% if form.username.errors %}
                    <ul class="uk-list">
                      {% for error in form.username.errors %}
                        <li class="uk-text-danger"><strong>{{ error|escape }}</strong></li>
                      {% endfor %}
                    </ul>
                  {% endif %}
                </div>
              </div>
              <div class="field">
                <label class="label">{% translate "Password" %}</label>
                <div class="control">
                  <input class="input"
                         id="{{ form.password.id_for_label }}" 
                         name="{{ form.password.html_name }}"
                         type="password" placeholder="{% translate "Password" %}">
                  {% if form.password.errors %}
                    <ul class="uk-list">
                      {% for error in form.password.errors %}
                        <li class="uk-text-danger"><strong>{{ error|escape }}</strong></li>
                      {% endfor %}
                    </ul>
                  {% endif %}
                </div>
              </div>
              <div class="columns">
                <div class="column has-text-right">
                <a class="is-size-7 has-text-danger"
                   href="{% url 'password_reset' %}">
                  {% translate "Forgot my password" %}
                </a>
                </div>
                <div class="column">
                <a class="is-size-7 has-text-success"
                   href="{% url 'password_reset' %}">
                  {% translate "Register" %}
                </a>
                </div>
              </div>
            </div>
          </div>
          <div class="card-footer">
           <button class="card-footer-item button is-white has-text-link"
              type='submit'
              >
              {% translate "Login" %}
            </button>
          </div>
        </div>
      <div>
    </form>
  </div>
  </div>
</section>
{% endblock %}
